#!/bin/bash
#* ============================================================
# * File        : belegger/index_alt.pl
# * Release     : 1
# * Author      : Wauter <wowtorx@gmail.com>
# * Date        : 2008-01-05
# * Description : parses http://www.belegger.tv/
# *
# * Requires:
# * - mythstream v0.18.1
# * - belegger/meta2url.pl
# * - unix tools: bash, sed
# *
# * ============================================================ */

sourcefile="$1"
sourceurl="$2"
sourcename="$3"

item_ptn='.*<a href="\(Nieuws/[^"]*\)"><B>\(.*\)</B></a>.*'

echo '<items>'

<$sourcefile sed '
	\_'"$item_ptn"'_ !d

	i\ <item>
	s_'"$item_ptn"'_  <name>\2</name>\n  <url>http://www.belegger.tv/\1</url>_
	a\  <handler>belegger/meta2url</handler>
	a\ </item>
'

echo '</items>'
