#!/bin/bash
#* ============================================================
# * File        : belegger/index.pl
# * Release     : 1
# * Author      : Wauter <wowtorx@gmail.com>
# * Date        : 2008-01-05
# * Description : parses http://www.belegger.tv/
# *
# * Requires:
# * - mythstream v0.18.1
# * - unix tools: bash, sed
# *
# * To use this parser
# *  add this stream item in MythStream:
# *      Stream Name   : Belegger.TV
# *      Stream URL    : http://www.belegger.tv
# *      Stream Handler: belegger/index
# * ============================================================ */

sourcefile="$1"
sourceurl="$2"
sourcename="$3"

item_ptn='.*<a href="\(Nieuws/[^"]*\)"><B>\(.*\)</B></a>.*'
belegger_vid_ptn='.*videoClip=\([^&]*\).*'

items=$(mktemp)
<$sourcefile sed '
	\_'"$item_ptn"'_ !d

	s_'"$item_ptn"'_http://www.belegger.tv/\1 "\2"_
' \
>$items

echo '<items>'
for ((i=1 ; i<=$(<$items wc -l) ; i++)); do
	echo ' <item>'
	<$items sed "
		${i} !d
		s_^[^[:space:]]* \"\(.*\)\"_  <name>\1</name>_
	"

	<$items sed "
		${i} !d
		s/ .*//
	" \
	| xargs wget --output-file=/dev/null --output-document=/dev/stdout \
	| sed '
		\_'"$belegger_vid_ptn"'_ !d
		s_'"$belegger_vid_ptn"'_  <url>\1</url>_
		q
	'

	echo '  <handler>STREAM_DL</handler>'
	echo ' </item>'
done
echo '</items>'

rm -f $items
