#!/bin/bash
#* ============================================================
# * File        : belegger/meta2url.pl
# * Release     : 1
# * Author      : Wauter <wowtorx@gmail.com>
# * Date        : 2008-01-05
# * Description : parses belegger.tv video pages
# *
# * Requires:
# * - mythstream v0.18.1
# * - unix tools: bash, sed
# *
# * Required by:
# * - belegger/index.pl
# * ============================================================ */

sourcefile="$1"
sourceurl="$2"
sourcename="$3"

item_ptn='.*videoClip=\([^&]*\).*'

echo '<items>'
echo ' <item>'
echo "  <name>$sourcename</name>"

<$sourcefile sed '
	\_'"$item_ptn"'_ !d
	s_'"$item_ptn"'_  <url>\1</url>_
	q
'
echo '  <handler>STREAM_DL</handler>'
echo ' </item>'
echo '</items>'
